Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • CreateBucket
          • GetBucketEncryption
          • HeadBucket
          • ListObjects
          • ListBuckets
          • DeleteBucket
          • DeleteBucketEncryption
          • PutBucketEncryption
          • PutBucketVersioning
          • GetBucketVersioning
          • PutBucketLogging
          • GetBucketLogging
          • ListObjectVersions
          • PutObjectLockConfiguration
          • GetObjectLockConfiguration
          • PutBucketTagging
          • GetBucketTagging
          • DeleteBucketTagging
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Headers
  • Response
  • Headers
  • Response codes
  • Data schema
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Bucket
  5. GetObjectLockConfiguration

Object Storage API, Amazon S3-compatible REST: GetObjectLockConfiguration

Written by
Yandex Cloud
Updated at May 6, 2026
  • Request
    • Path parameters
    • Headers
  • Response
    • Headers
    • Response codes
    • Data schema

Returns the settings of object locks for a versioned bucket.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

GET /{bucket}?object-lock HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.

HeadersHeaders

Use only common headers in your requests.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

Data schemaData schema

<ObjectLockConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <ObjectLockEnabled>string</ObjectLockEnabled>
   <Rule>
      <DefaultRetention>
         <Mode>string</Mode>
         <Days>integer</Days>
         <Years>integer</Years>
      </DefaultRetention>
   </Rule>
</ObjectLockConfiguration>
Element Description
ObjectLockEnabled

Object lock status:

  • Enabled: You can use object locks.

If the element is not specified, object locks are disabled.

Path: ObjectLockConfiguration\ObjectLockEnabled.

Rule

Lock settings.

Path: ObjectLockConfiguration\Rule.

DefaultRetention

Default lock settings.

Path: ObjectLockConfiguration\Rule\DefaultRetention.

Mode

Default retention type:

  • GOVERNANCE: Governance-mode retention.
  • COMPLIANCE: Compliance-mode retention.

Path: ObjectLockConfiguration\Rule\DefaultRetention\Mode.

Days

Default retention period in days since the object version upload. It must be a positive integer.

Path: ObjectLockConfiguration\Rule\DefaultRetention\Days.

Years

Default retention period in years since the object version upload. It must be a positive integer.

Path: ObjectLockConfiguration\Rule\DefaultRetention\Years.

Related articlesRelated articles

  • Bucket in Object Storage

  • Object lock

  • Managing object locks in a bucket

See alsoSee also

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
PutObjectLockConfiguration
Next
PutBucketTagging
© 2026 Direct Cursus Technology L.L.C.